<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8"/>
	<meta http-equiv="X-UA-Compatible" content="IE=edge"/>
	<meta name="viewport" content="width=device-width, initial-scale=1.0"/>
	<title>Document</title>
</head>
<body>
<h2>History</h2>
<h3>Development</h3>
<img src="https://upload.wikimedia.org/wikipedia/commons/thumb/c/c8/Tim_Berners-Lee_April_2009.jpg/170px-Tim_Berners-Lee_April_2009.jpg"
		title="Tim Berners" alt="Tim Berners">
<p>In 1980, <a href="https://en.wikipedia.org/wiki/Physicist">physicist</a> Tim Berners-Lee, a contractor at CERN,
	proposed and prototyped ENQUIRE, a system for CERN researchers to use and share documents. In 1989, Berners-Lee
	wrote a memo proposing an Internet-based hypertext system.[3] Berners-Lee specified HTML and wrote the browser and
	server software in late 1990. That year, Berners-Lee and CERN data systems engineer Robert Cailliau collaborated on
	a joint request for funding, but the project was not formally adopted by CERN. In his personal notes[4] from 1990 he
	listed[5] "some of the many areas in which hypertext is used" and put an encyclopedia first.</p>

<p>The first publicly available description of HTML was a document called "HTML Tags", first mentioned on the Internet
	by Tim Berners-Lee in late 1991.[6][7] It describes 18 elements comprising the initial, relatively simple design of
	HTML. Except for the hyperlink tag, these were strongly influenced by SGMLguid, an in-house Standard Generalized
	Markup Language (SGML)-based documentation format at CERN. Eleven of these elements still exist in HTML 4.[8]</p>
</p>
<h3>HTML versions timeline</h3>
<h4><strong>HTML 2</strong></h4>
<p><strong>November 24, 1995</strong></p>
<p>HTML 2.0 was published as RFC 1866. Supplemental RFCs added capabilities:</p>
<ul>
	<li>November 25, 1995: RFC 1867 (form-based file upload)</li>
	<li>May 1996: RFC 1942 (tables)</li>
	<li>August 1996: RFC 1980 (client-side image maps)</li>
	<li>January 1997: RFC 2070 (internationalization)</li>
</ul>

<ul>
	<li>
		<h3>HTML 3</h3>
		<ul>
			<li>
				<strong>January 14, 1997</strong>
				<p>HTML 3.2[15] was published as a W3C Recommendation. It was the first version developed and
					standardized exclusively by the W3C, as the IETF had closed its HTML Working Group on September 12,
					1996.[16]</p>
				<p>Initially code-named "Wilbur",[17] HTML 3.2 dropped math formulas entirely, reconciled overlap among
					various proprietary extensions and adopted most of Netscape's visual markup tags. Netscape's blink
					element and Microsoft's marquee element were omitted due to a mutual agreement between the two
					companies.[13] A markup for mathematical formulas similar to that in HTML was not standardized until
					14 months later in MathML.</p>
			</li>
		</ul>
	</li>
	<li>
		<h3>HTML 4</h3>
		<ul>
			<li>
				<strong>December 18, 1997</strong>
				<p>HTML 4.0[18] was published as a W3C Recommendation. It offers three variations:</p>
				<ul>
					<li>Strict, in which deprecated elements are forbidden</li>
					<li>Transitional, in which deprecated elements are allowed</li>
					<li>Frameset, in which mostly only frame related elements are allowed.</li>
				</ul>
				<p>Initially code-named "Cougar",[17] HTML 4.0 adopted many browser-specific element types and
					attributes, but at the same time sought to phase out Netscape's visual markup features by marking
					them as deprecated in favor of style sheets. HTML 4 is an SGML application conforming to ISO 8879 –
					SGML.[19]</p>
			</li>
		</ul>
	</li>
</ul>
</body>
</html>
